Bug 863876 - [abrt]: WARNING: at drivers/net/wireless/iwlwifi/dvm/../iwl-trans.h:533 iwl_dvm_send_cmd+0x180/0x190 [iwldvm]()
[abrt]: WARNING: at drivers/net/wireless/iwlwifi/dvm/../iwl-trans.h:533 iwl_d...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:161ea52452e0da7c75b60ca9224...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 18:30 EDT by Alexander Hunziker
Modified: 2012-11-06 03:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 03:52:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Hunziker 2012-10-07 18:30:17 EDT
Description of problem:
I tried to connect to my home wifi, this failed and brought up the bug reporting tool. I also have Arch Linux running which shows the same issue when running kernel 3.6, but not when running kernel 3.5 so my guess would be that one of the changesets inbetween caused this problem.

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        initrd=/ubninit root=UUID=FA71-7624 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=/ubnkern 
kernel:         3.6.0-0.rc6.git0.2.fc18.x86_64

backtrace:
:WARNING: at drivers/net/wireless/iwlwifi/dvm/../iwl-trans.h:533 iwl_dvm_send_cmd+0x180/0x190 [iwldvm]()
:Hardware name: 28239KG
:iwl_trans_send_cmd bad state = 0
:Modules linked in: rfcomm btusb fuse ebtable_nat ebtables nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core ip6table_mangle iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT bnep bluetooth nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables iptable_nat nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack arc4 iwldvm mac80211 iTCO_wdt iTCO_vendor_support uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core snd_hda_codec_conexant videodev media snd_hda_intel coretemp snd_hda_codec joydev snd_hwdep snd_seq microcode snd_seq_device i2c_i801 snd_pcm iwlwifi lpc_ich cfg80211 mfd_core snd_page_alloc snd_timer thinkpad_acpi mei snd soundcore rfkill tpm_tis tpm tpm_bios vhost_net tun macvtap macvlan kvm uinput squashfs vfat fat usb_storage i915 i2c_algo_bit drm_kms_helper 
:drm e1000e i2c_core wmi video sunrpc
:Pid: 1798, comm: wpa_supplicant Not tainted 3.6.0-0.rc6.git0.2.fc18.x86_64 #1
:Call Trace:
: [<ffffffff8106788f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81067986>] warn_slowpath_fmt+0x46/0x50
: [<ffffffffa0556db0>] iwl_dvm_send_cmd+0x180/0x190 [iwldvm]
: [<ffffffffa055b4e9>] iwl_send_add_sta+0xe9/0x140 [iwldvm]
: [<ffffffffa055be7d>] ? iwl_add_station_common+0x15d/0x290 [iwldvm]
: [<ffffffffa055be8e>] iwl_add_station_common+0x16e/0x290 [iwldvm]
: [<ffffffffa0550ea2>] iwlagn_mac_sta_add.isra.8+0x92/0xf0 [iwldvm]
: [<ffffffffa055195f>] iwlagn_mac_sta_state+0x29f/0x340 [iwldvm]
: [<ffffffffa047e771>] sta_info_insert_finish+0x181/0x1030 [mac80211]
: [<ffffffff810d6fb2>] ? mark_held_locks+0xb2/0x130
: [<ffffffffa047fb5b>] ? sta_info_insert_rcu+0x10b/0x170 [mac80211]
: [<ffffffff816da8a3>] ? mutex_lock_nested+0x2c3/0x390
: [<ffffffffa047fb5b>] ? sta_info_insert_rcu+0x10b/0x170 [mac80211]
: [<ffffffff816db69e>] ? mutex_unlock+0xe/0x10
: [<ffffffffa047fb5b>] ? sta_info_insert_rcu+0x10b/0x170 [mac80211]
: [<ffffffffa047fb63>] sta_info_insert_rcu+0x113/0x170 [mac80211]
: [<ffffffffa047fbd3>] sta_info_insert+0x13/0x90 [mac80211]
: [<ffffffffa04c4d46>] ieee80211_prep_connection+0x236/0x640 [mac80211]
: [<ffffffffa04cc770>] ieee80211_mgd_auth+0x200/0x280 [mac80211]
: [<ffffffffa0497278>] ieee80211_auth+0x18/0x20 [mac80211]
: [<ffffffffa02f6b1c>] __cfg80211_mlme_auth+0x1cc/0x1f0 [cfg80211]
: [<ffffffff816da8a3>] ? mutex_lock_nested+0x2c3/0x390
: [<ffffffffa02f6b9b>] ? cfg80211_mlme_auth+0x5b/0xe0 [cfg80211]
: [<ffffffffa02f6be1>] cfg80211_mlme_auth+0xa1/0xe0 [cfg80211]
: [<ffffffffa02ea469>] nl80211_authenticate+0x219/0x260 [cfg80211]
: [<ffffffff816da8c7>] ? mutex_lock_nested+0x2e7/0x390
Comment 1 Stanislaw Gruszka 2012-10-23 09:55:16 EDT
I believe this problem is fixed by 3.6.3-2 kernel:
http://koji.fedoraproject.org/koji/buildinfo?buildID=361643
Please test.
Comment 2 Stanislaw Gruszka 2012-11-02 11:17:43 EDT
I hope this is fixed, if not please reopen this bug.
Comment 3 Alexander Hunziker 2012-11-03 18:14:45 EDT
A nightly spin from October 30 still shows this problem, unfortunately.
Comment 4 Alexander Hunziker 2012-11-04 17:07:04 EST
A stock kernel 3.6.5 doesn't show this issue any more though.
Comment 5 Stanislaw Gruszka 2012-11-06 03:52:17 EST
Ok.

Note You need to log in before you can comment on or make changes to this bug.